CKYC Search API
CKYC Extended Search API is a powerful tool designed to streamline the process of identity verification and KYC (Know Your Customer) compliance for businesses and organizations. This API allows you to input a government-issued ID number, such as Mobile number, PAN, Driving License, Aadhaar, or other recognized government IDs (Refer to Supporting ID types section below), and retrieves the CKYC number, the meta-information associated with the CKYC number and profile photo in case of individuals as well.
This supports IFSCA (International Financial Services Centres Authority) onboarding and data submission specific to Gift City requirements.
Note: Please use your dedicated server endpoint in case this module is deployed on your server.
API details
Endpoint
POST https://api.signzy.app/api/v3/ckyc/searchPOST https://api-preproduction.signzy.app/api/v3/ckyc/searchRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameters
Parameter | Data Type | Description | Required |
|---|---|---|---|
idNumber | String | The ID number of the particular ID type is provided. For possible inputs, Refer to the table Supporting ID Types below. | Mandatory |
idType | String | Type of the ID provided. For possible inputs, Refer to the table Supporting ID Types below. | Mandatory |
env | String | "preproduction" (Pass specifically "preproduction" only if you want to hit CERSAI Sandbox, else do not pass this field) | Mandatory |
additionalOVDs | Array | Extra idNumber and idType to be provided, incase primary search returns no results. (no records found) | Optional |
{
"idNumber": "KTCCK1239T",
"idType": "P",
"env": "preproduction",
"additionalOVDs": [
{
"idNumber": "KTCCK1239T",
"idType": "C",
},
{
"idNumber": "KTCCK1239T",
"idType": "C",
}
]
}Code samples
curl --location 'https://api-preproduction.signzy.app/api/v3/ckyc/search' \
--header 'Content-Type: application/json' \
--header 'Authorization: <authkey>' \
--data '{
"idNumber": "KTCCK1239T",
"idType": "P",
"env": "preproduction",
"additionalOVDs": [
{
"idNumber": "KTCCK1239T",
"idType": "C"
},
{
"idNumber": "KTCCK1239T",
"idType": "C"
}
]
}'Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | An object containing the result of the task. Note: If ID passed in input is PAN and there is a sole prop and individual KYC created against that PAN, then you'll receive details for both Individual and Sole Prop in nested form. |
result.mobileCode | String | Mobile Code (for Individual cases only) |
result.mobileNumber | String | Mobile number (for Individual cases only) |
result.fullName | String | Full name of the individual. |
result.kycDate | String | Date when the KYC was performed. In format DD-MM-YYYY. |
result.updatedDate | String | Date when the KYC details were updated. In format DD-MM-YYYY. |
result.ckycNumber | String | CKYC (Central KYC) number of the individual. |
result.fatherFullName | String | Full name of father. |
result.age | String | Age of the individual. |
result.referenceId | String | CKYC Reference ID to be passed in request of CKYC Download and Validate API. |
result.identityDetails | Array of Objects | An array of objects that contain information about the user's identity, such as the status and type of the identity document. |
result.identityDetails.type | String | Type of identity. Refer ID type table below. |
result.identityDetails.status | String | Status code for each identity type. 03 -ID available 04 -ID Not Provided |
result.additionalResults | Array | Array of additional CKYC records if found. |
//For Individual
{
"result": {
"mobileCode": "",
"mobileNumber": "XXXXXX4197",
"fullName": "Mr Akash D Verma",
"kycDate": "21-09-2023",
"updatedDate": "12-07-2024",
"ckycNumber": "XXXXXXXXXX8823",
"fatherFullName": "Mr Rajkumar D Verma",
"age": "27",
"referenceId": "INCJNB81160121",
"identityDetails": [
{
"type": "G",
"status": "03"
}
]
},
"additionalResults": []
}
// for business
{
"result": {
"constitutionType": "D-Private Limited Company",
"fullName": "Deo Lite PVT LIMITED",
"kycDate": "12-09-2023",
"updatedDate": "22-08-2024",
"ckycNumber": "XXXXXXXXXX1298",
"placeOfIncorporation": "Mumbai",
"age": "25",
"referenceId": "LEVWXI96290429",
"identityDetails": [
{
"type": "C",
"status": "03"
},
{
"type": "02",
"status": "03"
}
]
},
"additionalResults": []
}
//If a mobile number is linked with two CKYC Accounts
{
"result": {
"mobileCode": "",
"mobileNumber": "XXXXXX4197",
"fullName": "MRS SANIA NEHWAL",
"kycDate": "23-12-2022",
"updatedDate": "23-12-2022",
"ckycNumber": "XXXXXXXXXX5169",
"fatherFullName": "MR RAMESH NEHWAL",
"age": "45",
"referenceId": "INALAK56684640",
"identityDetails": [
{
"type": "E",
"status": "03"
},
{
"type": "C",
"status": "03"
}
]
},
"additionalResults": [
{
"mobileCode": "91",
"mobileNumber": "XXXXXX4197",
"fullName": "MR ELON MUSK",
"kycDate": "11-02-2021",
"updatedDate": "31-10-2024",
"ckycNumber": "XXXXXXXXXX1490",
"fatherFullName": "Mr STEVE MATHEW",
"age": "26",
"referenceId": "INXVJZ01495174",
"identityDetails": [
{
"type": "E",
"status": "03"
},
{
"type": "H",
"status": "03"
},
{
"type": "C",
"status": "03"
}
]
}
]
}ID Types
ID Type | Description |
|---|---|
A | Passport |
B | Voter ID |
C | PAN |
D | Driving License |
E | UID |
F | NREGA Job Card |
G | National Population Register Letter |
Y | CKYC Reference ID |
Z | CKYC Number |
M | Mobile Number |
02 | Certificate of Incorporation/Formation |
03 | Registration Certificate |
CKYC Image Codes Description
Image Code Description
Image Code | Description |
|---|---|
02 | Photograph |
03 | PAN |
04 | Proof of Possession of Aadhaar |
05 | Passport |
06 | Driving License |
07 | Voters Identity Card |
08 | NREGA Job Card |
09 | Signature |
10 | Simplified Measures Account - Identity card with applicant’s photograph issued by Central/ State Government Departments, Statutory/ Regulatory Authorities, Public Sector Undertakings, Scheduled Commercial Banks, and Public Financial Institutions. |
11 | Simplified Measures Account - Letter issued by a gazetted officer, with a duly attested photograph of the person. |
12 | Utility bill which is not more than two months old of any service provider (electricity, telephone, post-paid mobile phone, piped gas, water bill). |
13 | Property or Municipal Tax receipt. |
14 | Bank account or Post Office savings bank account statement. |
15 | Pension or family pension payment orders (PPOs) issued to retired employees by Government Departments or Public Sector Undertakings, if they contain the address. |
16 | Letter of allotment of accommodation from employer issued by State or Central Government departments, statutory or regulatory bodies, public sector undertakings, scheduled commercial banks, financial institutions and listed companies. Similarly, leave and license agreements with such employers allotting official accommodation. |
17 | Documents issued by Government departments of foreign jurisdictions and letter issued by Foreign Embassy or Mission in India. |
18 | Officially valid document(s) in respect of person authorized to transact |
19 | Certificate of Incorporation/Formation |
20 | Registration Certificate |
21 | Memorandum and Articles of Association |
22 | Partnership Deed |
23 | Trust Deed |
24 | Resolution of Board/ Managing Committee |
25 | Power of Attorney granted to its manager, officers or employees to transact on its behalf. |
26 | Activity Proof – 1 (For Sole Proprietorship only) |
27 | Activity Proof – 2 (For Sole Proprietorship only) |
35 | National Population Registry Letter |
36 | E-KYC Authentication |
37 | Offline verification of Aadhaar |
98 | Other |
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!